The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache 3.24.19 Released

Discussion in 'EasyApache' started by cPShavaun, Jun 2, 2014.

  1. Shavaun

    Shavaun Well-Known Member

    Joined:
    Aug 15, 2013
    Messages:
    106
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    Hello, everyone!

    The EasyApache team has published EasyApache 3.24.19:

    ---++ 3.24.19

    2014-06-02

    • Implemented case 102769: Update PHP version 5.4 to PHP version 5.4.29 (with fixes for CVE-2014-0237 and CVE-2014-0238), drop 5.4.28
    • Implemented case 102785: Update PHP version 5.5 to PHP version 5.5.13 (with fixes for CVE-2014-0237 and CVE-2014-0238), drop 5.5.12
    • Implemented case 101901: Update IonCube Loader to version 4.6.1 (drop 4.4.1)


    EASYAPACHE CHANGE LOG: http://documentation.cpanel.net/display/EA/EasyApache+Change+Log
    EASYAPACHE RELEASE NOTES: http://documentation.cpanel.net/display/EA/EasyApache+3.24+Release+Notes
    NOTE: The documentation may take a few hours to sync up between the documentation servers.


    Thanks!
    Shavaun
    Technical Writer (EasyApache Team)
    cPanel, Inc.
     
  2. santrix

    santrix Well-Known Member

    Joined:
    Nov 30, 2008
    Messages:
    223
    Likes Received:
    2
    Trophy Points:
    18
    REMOVE MODSECURITY 2.8

    Sorry to cross post - but this is going to cause MAJOR problems for a lot of people. 2.8 is bug ridden - BAD BAD BAD. Atomic Corp won't touch it so why the hell is cPanel forcing their users to use it? Give us the choice!
     
  3. ScottTh

    ScottTh Well-Known Member

    Joined:
    Jan 28, 2013
    Messages:
    157
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Hi Santrix,

    We are beginning work to revert mod_security back to version 2.7.7. Please watch the EasyApache forums and our change log for the upcoming release.

    Thanks for your feedback!
     
    #3 ScottTh, Jun 10, 2014
    Last edited: Jun 10, 2014
  4. ScottTh

    ScottTh Well-Known Member

    Joined:
    Jan 28, 2013
    Messages:
    157
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Hello everyone,

    EasyApache 3.24.21 has been published. Please take a moment to view our change log.

    This version of EasyApache addresses the issues with mod_security 2.8.0 and a particular rule set that would cause EasyApache to not function as expected. Originally a revert to mod_security 2.7.7 seemed the most likely solution to solve this problem. Thankfully we have identified a less invasive and more precise change rather than reverting back to mod_security 2.7.7. We have applied the patch that addresses the issues with the offending rule in EasyApache 3.24.21.

    We were able to utilize a patch provided here. The developers have indicated that this patch will be part of the mod_security 2.8.1 release candidate. EasyApache will update mod_security to version 2.8.1 when it has been released.

    Thank you all for your patience and helpful feedback. It's an been an integral part of the troubleshooting process. Please let us know if there are any additional questions.
     
Loading...

Share This Page